GNU bug report logs - #66331
[PATCH v2] gnu: ffmpeg: add svt-av1 support

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Andy Tai <atai@HIDDEN>; Keywords: patch; merged with #63095, #66460; dated Wed, 4 Oct 2023 06:04:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 63095 66331 66460. Request was from Andy Tai <atai@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Disconnected #63095 from all other report(s). Request was from Andy Tai <lichengtai@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 63095 66331 66460. Request was from Andy Tai <atai@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 63095 66331. Request was from Andy Tai <atai@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Oct 2023 06:03:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 04 02:03:32 2023
Received: from localhost ([127.0.0.1]:41275 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qnuyp-0002TR-Ux
	for submit <at> debbugs.gnu.org; Wed, 04 Oct 2023 02:03:32 -0400
Received: from lists.gnu.org ([2001:470:142::17]:43642)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lichengtai@HIDDEN>) id 1qnuyo-0002T2-BO
 for submit <at> debbugs.gnu.org; Wed, 04 Oct 2023 02:03:30 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <lichengtai@HIDDEN>)
 id 1qnuyQ-0001sv-Sr
 for guix-patches@HIDDEN; Wed, 04 Oct 2023 02:03:07 -0400
Received: from mail-pl1-x62e.google.com ([2607:f8b0:4864:20::62e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <lichengtai@HIDDEN>)
 id 1qnuyO-0002VG-VE
 for guix-patches@HIDDEN; Wed, 04 Oct 2023 02:03:06 -0400
Received: by mail-pl1-x62e.google.com with SMTP id
 d9443c01a7336-1c723f1c80fso12909125ad.1
 for <guix-patches@HIDDEN>; Tue, 03 Oct 2023 23:03:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1696399381; x=1697004181; darn=gnu.org;
 h=content-transfer-encoding:mime-version:message-id:date:subject:cc
 :to:from:sender:from:to:cc:subject:date:message-id:reply-to;
 bh=o1cWJ+5+SHdl4pstmvk0Id5JiO+mMdwAI1yD4ntqdlU=;
 b=lUDEtyqhYFrImzC1uxlKVeMbBtujTXxDMlR9GHIOOyfV9ZCcxG0F7w9GGQ9IH5tPYu
 HTcmurTWOVn2o8+nDJvNtOUQmIgy/j+29P9DDdjmj/lwnldk7KKjPq07n015GnZshOs1
 zz153yrITlxTpJNy3cwjwehCxMyz/bFrH+waoPQmvxZ92rU8a0APjEVuRw0RzfOmYXkC
 J4DZKcEa96+FtEzPpwJhZ3SPWqSBtxG43vXaIRQ7Aio1+TJfb3QHwJx3fQhB4tfIlKAP
 2V80n4ef33h24X+MqjYC2+PYUeA0FQkQoRXSYs4z59+dT/Uo1MCMMi2X/pmDCR4k+V7C
 6XOg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1696399381; x=1697004181;
 h=content-transfer-encoding:mime-version:message-id:date:subject:cc
 :to:from:sender:x-gm-message-state:from:to:cc:subject:date
 :message-id:reply-to;
 bh=o1cWJ+5+SHdl4pstmvk0Id5JiO+mMdwAI1yD4ntqdlU=;
 b=kCSqliG5jsZQqwuV0+od7QzxLBTuF5HmIkRkrtgL6AHYOF9jk5+cILkhnzazNhcv4m
 8qmkTx5JzsFSPpTPNgoajFVufbp+Oc7PujxCV5yx2wFXRgZiUzGVVvJ54YaUFvXRpaHI
 ZJAwGsXCnsTfQFZ8UxRVAquIHOoWRapUeuC7HzDJusUWSK6sa8JUI0SDUjwe+NB9D7J6
 Ky60BPVwWBieulHkTWJaDILsLrNQpBnWMwfTv5KrF/SnBucqdd36oY9OlRlYitCio4Bc
 Btv9VGFYsZjnFTJ1E1HfrcU1Btvxn9ghl147adwhVQ6CHu0jP9WsJfJpOAyDyvhthRsQ
 9CBw==
X-Gm-Message-State: AOJu0YyzZLz1PerdMdup06hHwZ7FhEhAGS6hibqWa68xizL75ar1C10P
 LAM0pQx3v3jXRCOhgeakKhjnXBMpmh8=
X-Google-Smtp-Source: AGHT+IH9HbmM4BR7500RMbwpJVp3F9B4YyobfS+QyQNmIWHKKds3XEt9PtLU1KNvmKlG9lngu7F08g==
X-Received: by 2002:a17:902:eb44:b0:1c3:ed30:cdf4 with SMTP id
 i4-20020a170902eb4400b001c3ed30cdf4mr1503547pli.4.1696399381446; 
 Tue, 03 Oct 2023 23:03:01 -0700 (PDT)
Received: from localhost.localdomain ([98.37.226.98])
 by smtp.googlemail.com with ESMTPSA id
 h18-20020a170902eed200b001c46d04d001sm2697038plb.87.2023.10.03.23.03.00
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 03 Oct 2023 23:03:00 -0700 (PDT)
From: Andy Tai <atai@HIDDEN>
To: guix-patches@HIDDEN,
	63095 <at> debbugs.gnu.org
Subject: [PATCH v2] gnu: ffmpeg: add svt-av1 support
Date: Tue,  3 Oct 2023 23:02:56 -0700
Message-ID: <4ea84dc185164a495b7ef3765162b0ce46f0fd04.1696399298.git.atai@HIDDEN>
X-Mailer: git-send-email 2.41.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::62e;
 envelope-from=lichengtai@HIDDEN; helo=mail-pl1-x62e.google.com
X-Spam_score_int: -14
X-Spam_score: -1.5
X-Spam_bar: -
X-Spam_report: (-1.5 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FORGED_FROMDOMAIN=0.249,
 FREEMAIL_FROM=0.001, HEADER_FROM_DIFFERENT_DOMAINS=0.248,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/video.scm (ffmpeg): Add support for svt-av1
 [inputs]: Add svt-av1 [arguments] (configure-flags): Add "--enable-libsvtav1"
 --- gnu/packages/video.scm | 2 ++ 1 file changed, 2 insertions( [...] 
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (lichengtai[at]gmail.com)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
X-Debbugs-Envelope-To: submit
Cc: Andy Tai <atai@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

* gnu/packages/video.scm (ffmpeg): Add support for svt-av1
[inputs]: Add svt-av1
[arguments] (configure-flags): Add "--enable-libsvtav1"
---
 gnu/packages/video.scm | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/gnu/packages/video.scm b/gnu/packages/video.scm
index bb6cf75821..a97d6b2593 100644
--- a/gnu/packages/video.scm
+++ b/gnu/packages/video.scm
@@ -1624,6 +1624,7 @@ (define-public ffmpeg
             soxr
             speex
             srt
+            svt-av1
             twolame
             vidstab
             x265
@@ -1712,6 +1713,7 @@ (define-public ffmpeg
          "--enable-libsoxr"
          "--enable-libspeex"
          "--enable-libsrt"
+         "--enable-libsvtav1"
          "--enable-libtheora"
          "--enable-libtwolame"
          "--enable-libvidstab"

base-commit: abf7a1e986f93f8fade230ae6f95b04cc998041b
-- 
2.41.0





Acknowledgement sent to Andy Tai <atai@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#66331; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 11 Oct 2023 15:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.